# class ActiveSupport::Notifications::Event

### Attributes

duration[R]
end[R]
name[R]
payload[R]
time[R]
transaction_id[R]

### Public Class Methods

new(name, start, ending, transaction_id, payload) click to toggle source

    # File lib/active_support/notifications/instrumenter.rb, line 38
    def initialize(name, start, ending, transaction_id, payload)
      @name           = name
      @payload        = payload.dup
      @time           = start
      @transaction_id = transaction_id
      @end            = ending
      @duration       = 1000.0 * (@end - @time)
    end

### Public Instance Methods

parent_of?(event) click to toggle source

    # File lib/active_support/notifications/instrumenter.rb, line 47
    def parent_of?(event)
      start = (time - event.time) * 1000
      start <= 0 && (start + duration >= event.duration)
    end